Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.cdi.producer
Class HumanTaskServiceProducer

    java.lang.Object
      org.jbpm.services.cdi.producer.HumanTaskServiceProducer

    public class HumanTaskServiceProducer

extends Object

CDI producer for `TaskService` instances. By default it runs in new mode, meaning new `TaskService` instance for every injection point. This behavior can be altered by setting `org.jbpm.cdi.taskservice.mode` system property to one of the values.

- none - disables producer to not return TaskService instances
- singleton - produces only one instance of TaskService that will be shared
- new - produces new instance for every injection point

This bean accept following injections:

- UserGroupCallback
- UserInfo
- TaskLifeCycleEventListener

all of these are optional injections and if not available defaults will be used. Underneath it uses `HumanTaskConfigurator` for `TaskService` instances creations.

See Also:
  `HumanTaskConfigurator`

Constructor Summary
`HumanTaskServiceProducer()`

Method Summary
`CommandBasedTaskService` | `produceTaskService()`
`protected
`<T> T`
` | `safeGet(javax.enterprise.inject.Instance<T> instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HumanTaskServiceProducer

    public HumanTaskServiceProducer()

Method Detail

### produceTaskService

    @Produces
    public CommandBasedTaskService produceTaskService()

### safeGet

    protected <T> T safeGet(javax.enterprise.inject.Instance<T> instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.